<template>
  <div class="d-flex flex-column flex-grow-1">
    <div class="d-flex align-center py-3">
      <div>
        <div class="display-1">{{ $t("menu.ManageNotifications") }}</div>
        <v-breadcrumbs :items="breadcrumbs" class="pa-0 py-2"></v-breadcrumbs>
      </div>
    </div>
    <v-container>
      <v-row>
        <v-col>
          <v-form ref="form" v-model="valid" lazy-validation class="v-form-con">
            <v-row>
              <v-col cols="12" md="6">
                <v-select
                  v-model="notificationForm.CountryCode"

                  :label="$t('common.selectCountry')"
                  :items="
                    getCountries.map(({ name, code }) => ({
                      text: name,
                      value: code,
                    }))
                  "
                  outlined
                ></v-select>
              </v-col>
              <v-col cols="12" md="6"></v-col>
              <v-col cols="12" md="6">
                <v-text-field
                  v-model="notificationForm.TitleAr"
                  label="*العنوان"
                  :rules="[
                    (v) => !!v || 'You must fill this field to continue!',
                  ]"
                  required
                  color="#d5b5a6"
                ></v-text-field>

                <v-textarea
                  v-model="notificationForm.MessageAr"
                  label="*المحتوى"
                  rows="4"
                  color="#d5b5a6"
                  prepend-icon="mdi-pen"
                  outlined
                ></v-textarea>
              </v-col>
              <v-col cols="12" md="6" class="en">
                <v-text-field
                  v-model="notificationForm.TitleEn"
                  label="*Title"
                  :rules="[
                    (v) => !!v || 'You must fill this field to continue!',
                  ]"
                  required
                  color="#d5b5a6"
                ></v-text-field>

                <v-textarea
                  v-model="notificationForm.MessageEn"
                  label="*Body"
                  rows="4"
                  color="#d5b5a6"
                  prepend-icon="mdi-pen"
                  outlined
                ></v-textarea>
              </v-col>
            </v-row>

            <!-- calenders -->
            <v-row justify="center" class="calender"> </v-row>

            <div class="validateBtn">
              <v-btn
                :disabled="!valid"
                dark
                rounded
                class="mygrad"
                @click="validate(notificationForm)"
                x-large
                style="padding: 30px 100px"
              >
                {{ $t("common.send") }}
              </v-btn>
            </div>
          </v-form>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<script>
import CopyLabel from "../../components/common/CopyLabel";
import { mapActions, mapGetters } from "vuex";
export default {
  components: {
    CopyLabel,
  },
  data() {
    return {
      valid: true,
      name: "",
      notificationForm: {
        CountryCode: "",
        TitleEn: "",
        TitleAr: "",
        MessageEn: "",
        MessageAr: "",
      },
      select: null,
      checkbox: false,
      breadcrumbs: [
        {
          text: this.$i18n.t("menu.ManageNotifications"),
          disabled: false,
          href: "#",
        },
        {
          text: this.$i18n.t("menu.PushNotification"),
        },
      ],
    };
  },
  computed: {
    ...mapGetters("sendNotification", ["getCountries"]),
  },
  methods: {
    ...mapActions("sendNotification", ["sendNotification", "fetchCountries"]),
    validate() {
      this.$refs.form.validate();

      if (
        this.notificationForm.body_ar != "" &&
        this.notificationForm.title_ar != "" &&
        this.notificationForm.body_en != "" &&
        this.notificationForm.title_en != ""
      ) {
        this.sendNotification(this.notificationForm);
        this.$bus.$emit("showSnackbar", {
          text: "added successfully",
          color: "green darken-1",
        });
      } else {
        this.$bus.$emit("showSnackbar", {
          text: "Please fill all the fields",
          color: "red darken-1",
        });
        console.log("iam else");
      }
    },
  },
  mounted() {
    this.fetchCountries();
  },
};
</script>

<style lang="scss" scoped>
.slide-fade-enter-active {
  transition: all 0.3s ease;
}
.slide-fade-leave-active {
  transition: all 0.3s cubic-bezier(1, 0.5, 0.8, 1);
}
.slide-fade-enter,
.slide-fade-leave-to {
  transform: translateX(10px);
  opacity: 0;
}
.filter {
  background-color: #fff;
}
.calender {
  margin-top: 20px;
  justify-content: space-evenly;
}
.validateBtn {
  text-align: center;
  margin-top: 3%;
}

.v-form-con {
  border: 4px solid #d5b5a6 !important;
  border-radius: 25px;
  padding: 5%;
}

@media screen and (max-width: 600px) {
  .calender {
    justify-content: center;
  }
  .v-date-picker {
    width: 100% !important;
  }
}
.en {
  border-inline-start: 3px solid #bf87a0;
}
</style>
